
#include <HIDKeyboard.h>
#include <Keypad.h>

HIDKeyboard keyboard; // Initialize HIDKeyboard object

const byte ROWS = 4;
const byte COLS = 3;

char Keys[ROWS][COLS] = {
  {'o','a','w'},
  {'d','t','p'},
  {'e','x','x'},
  {'x','x','x'}
};
byte rowPins[ROWS] = {2, 7, 6, 4};
byte colPins[COLS] = {3, 1, 5};

Keypad customKeypad = Keypad( makeKeymap(Keys), rowPins, colPins, ROWS, COLS); 

void setup() {
  keyboard.begin(); // Start communication
  delay(2000); // Wait for device to be found as a keyboard
}

void loop() {
  char key = customKeypad.getKey();
  
  if (key != NO_KEY && key != 'x'){
    if     (key == 'e'){keyboard.pressKey(ALT, '=');keyboard.releaseKey();}//new equation
    else if(key == 'd'){keyboard.print("\\degree ");}  //degrees
    else if(key == 'a'){keyboard.print("\\angle ");}   //angle sign
    else if(key == 'w'){keyboard.print("\\omega ");}   //omega(w)
    else if(key == 'o'){keyboard.print("\\Omega ");}   //ohms
    else if(key == 't'){keyboard.print("\\theta ");}   //theta
    else if(key == 'p'){keyboard.print("\\pi ");}      //pi
    else if(key == 'f'){keyboard.print("\\phi ");}     //phi
    
  }
}
