
#include <HIDKeyboard.h>
#include <Keypad.h>

HIDKeyboard keyboard; // Initialize HIDKeyboard object

const byte ROWS = 4;
const byte COLS = 3;

char Keys[ROWS][COLS] = {
  {'1','2','3'},
  {'4','5','6'},
  {'7','8','9'},
  {'*','0','#'}
};
byte rowPins[ROWS] = {8, 3, 4, 6};
byte colPins[COLS] = {7, 9, 5};

Keypad customKeypad = Keypad( makeKeymap(Keys), rowPins, colPins, ROWS, COLS); 

void setup() {
  Serial.begin(9600);
  keyboard.begin(); // Start communication
  delay(2000); // Wait for device to be found as a keyboard
}

void loop() {
  char key = customKeypad.getKey();
  
  if (key != NO_KEY){
    Serial.println(key);
  }
}
